/*
 * Allwinner Technology CO., Ltd. sun3iw1p1 evb board.
 *
 * evb board support.
 */

/dts-v1/;
#include "sun3iw1p1-r6-soc.dtsi"

/ {

  memory@80000000 {
		reg = <0x00000000 0x80000000 0x00000000 0x2000000>;
	};

	soc: soc {
		spi0: spi@01c05000 {
			interrupts = <10>;
			status = "okay";

			nor_flash@0 {
				#address-cells = <1>;
				#size-cells = <1>;
				compatible = "st,m25p64";
				spi-max-frequency = <50000000>;
				reg = <0>;	/* Chip select 0 */
			};
		};

		spi1: spi@01c06000 {
			interrupts = <11>;
			status = "okay";

			mmc_slot: mmc-slot@0 {
				#address-cells = <1>;
				#size-cells = <1>;
				compatible = "mmc-spi-slot";
				spi-max-frequency = <25000000>;
				device_type = "mmc-spi";
				reg = <0>;	/* Chip select 0 */
				voltage-ranges = <3300 3300>;
			};
		};

		twi0: twi@0x01c27000{
			clock-frequency = <100000>;
			status = "okay";
		};

		twi1: twi@0x01c27400{
			interrupts = <8>;
			status = "okay";
		};

		twi2: twi@0x01c27800{
			clock-frequency = <100000>;
			status = "okay";
			cx20921@41{
				compatible = "cx,cx20921";
				i2c-max-frequency = <100000>;
				reg = <0x41>;
				pinctrl-names = "default","sleep";
				pinctrl-0 = <&cx20921_pins_a>;
				pinctrl-1 = <&cx20921_pins_b>;
				reset-gpios = <&pio PA 1 1 2 2 1>;
			};
			nau8540@1d{
				compatible = "nuvoton,nau8540";
				i2c-max-frequency = <100000>;
				reg = <0x1d>;
			};
			io_expand: io_expand@0x38 {
				compatible = "nxp,pcf8574a";
				i2c-max-frequency = <100000>;
				reg = <0x38>;
			};
			touchscreen0: touchscreen0@0x4A {
				compatible = "atmel,mxt336t";
				reg = <0x4A>;
				atmel,suspend_mode = <0>;
			};
			touchscreen1: touchscreen1@0x48 {
				compatible = "ctp_icn85xx";
				reg = <0x48>;
			};
		};

		snddaudio0:sound@1{
			compatible = "allwinner,sunxi-daudio0-machine";
			sunxi,daudio0-controller = <&daudio0>;
			sunxi,snddaudio-codec = "cx20921.2-0041";
			sunxi,snddaudio-codec-dai = "cx20921-dsp";
			status = "okay";
		};
	};

};
